org.richfaces.fragment.common

## Class WaitingWrapperImpl

- java.lang.Object
- - org.richfaces.fragment.common.WaitingWrapperImpl

- All Implemented Interfaces:
    WaitingWrapper

      public abstract class WaitingWrapperImpl
      extends Object
      implements WaitingWrapper

  Author:
    Jiri Stefek

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaitingWrapperImpl()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `perform()`
    `protected abstract void` | `performWait(org.jboss.arquillian.graphene.wait.FluentWait<org.openqa.selenium.WebDriver,Void> wait)` Use @wait parameter to wait for the condition.
    `WaitingWrapper` | `pollingEvery(long interval, TimeUnit timeUnit)`
    `WaitingWrapper` | `withMessage(String message)`
    `WaitingWrapper` | `withTimeout(long interval, TimeUnit timeUnit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaitingWrapperImpl

          public WaitingWrapperImpl()

  - ### Method Detail

    - #### perform

          public final void perform()

      Specified by:
        `perform` in interface `WaitingWrapper`

    - #### performWait

          protected abstract void performWait(org.jboss.arquillian.graphene.wait.FluentWait<org.openqa.selenium.WebDriver,Void> wait)

      Use @wait parameter to wait for the condition.
      Parameters:
        `wait` -

    - #### pollingEvery

          public final WaitingWrapper pollingEvery(long interval,
                                                   TimeUnit timeUnit)

      Specified by:
        `pollingEvery` in interface `WaitingWrapper`

    - #### withMessage

          public final WaitingWrapper withMessage(String message)

      Specified by:
        `withMessage` in interface `WaitingWrapper`

    - #### withTimeout

          public final WaitingWrapper withTimeout(long interval,
                                                  TimeUnit timeUnit)

      Specified by:
        `withTimeout` in interface `WaitingWrapper`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.